package com.ruoyi.cms.service;


import com.ruoyi.cms.domain.FairCollection;
import com.ruoyi.cms.domain.JobFair;

import java.util.List;

/**
 * 用户招聘会收藏Service接口
 * 
 * @author lishundong
 * @date 2024-09-03
 */
public interface IFairCollectionService
{
    /**
     * 查询用户招聘会收藏
     * 
     * @param id 用户招聘会收藏主键
     * @return 用户招聘会收藏
     */
    public FairCollection selectFairCollectionById(Long id);

    /**
     * 查询用户招聘会收藏列表
     * 
     * @param FairCollection 用户招聘会收藏
     * @return 用户招聘会收藏集合
     */
    public List<FairCollection> selectFairCollectionList(FairCollection FairCollection);

    /**
     * 新增用户招聘会收藏
     * 
     * @param FairCollection 用户招聘会收藏
     * @return 结果
     */
    public int insertFairCollection(FairCollection FairCollection);

    /**
     * 修改用户招聘会收藏
     * 
     * @param FairCollection 用户招聘会收藏
     * @return 结果
     */
    public int updateFairCollection(FairCollection FairCollection);

    /**
     * 批量删除用户招聘会收藏
     * 
     * @param ids 需要删除的用户招聘会收藏主键集合
     * @return 结果
     */
    public int deleteFairCollectionByIds(Long[] ids);

    /**
     * 用户收藏招聘会
     */
    int fairCollection(Long fairId);


    /**
     * 用户取消收藏招聘会
     */
    int cancel(Long fairId);

    /**
     * 用户收藏招聘会列表
     */
    List<JobFair> appCollectionFair(Integer type);
}
